How to install MySQL 5.1 on ubuntu 8.10

想問吓點樣在ubuntu8.10 下裝 MySQL5.1.
MySQL是否應該選擇 "Linux (non RPM packages)"?
謝謝

回覆 1# 的帖子

http://packages.ubuntu.com/intrepid/mysql-server

sudo apt-get install mysql-server will be fine.

Off-topic: Ubuntu D人點揀Codename架,頭先去Search package,嘩D字又長又難記。

TOP

謝謝.
但我想install 5.1 (不是5.0)... 有沒有其他方法?
唔該

TOP

原帖由 poiu999 於 2008-12-25 10:24 發表
謝謝.
但我想install 5.1 (不是5.0)... 有沒有其他方法?
唔該


自己 download & compile 啦

TOP

download Linux (non RPM packages) ~

TOP

唔該哂..
再想問吓download咗"Linux (non RPM packages)"後應該點compile?
google咗, 但冇乜講點compile同後面步驟.
謝謝

TOP

原帖由 poiu999 於 2008-12-25 11:31 發表
唔該哂..
再想問吓download咗"Linux (non RPM packages)"後應該點compile?
google咗, 但冇乜講點compile同後面步驟.
謝謝


If you don't know how to compile, use standard packages from Ubuntu instead.

TOP

TOP

原帖由 liontmfc 於 2008-12-25 12:41 發表
或者參考下以方法

http://www.wretch.cc/blog/kingctx530/13779412


唔該哂, 我都有refer這個link, 不過都唔得,
=========================================
...
...
Selecting previously deselected package mysql-client-5.1.
Unpacking mysql-client-5.1 (from .../mysql-client-5.1_5.1.22rc-2~ppa5_i386.deb) ...
Selecting previously deselected package mysql-server-5.1.
dpkg: regarding .../mysql-server-5.1_5.1.22rc-2~ppa5_i386.deb containing mysql-server-5.1, pre-dependency problem:
mysql-server-5.1 pre-depends on mysql-common (>= 5.1.22rc-2~ppa5)
mysql-common is unpacked, but has never been configured.
dpkg: error processing /var/cache/apt/archives/mysql-server-5.1_5.1.22rc-2~ppa5_i386.deb (--unpack):
pre-dependency problem - not installing mysql-server-5.1
Processing triggers for man-db ...
Errors were encountered while processing:
/var/cache/apt/archives/mysql-server-5.1_5.1.22rc-2~ppa5_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
================================================== ======

現在想知應如何delete那些已安裝的package...

TOP

aptitude remove mysql-server-5.1 試下~

TOP